Added
-
Intents → Create a Child Account onboarding intent: Endpoint is now available, which allows to open a child account onboarding intent and set up the payment method for a Child Account.
-
Intents → Execute a Child Account onboarding intent action: Endpoint is now available, which allows to execute an action on a Child Account onboarding intent.
-
Intents → List intents: Endpoint is now available, which allows to list and monitor the onboarding intents of your Child Accounts.
-
Intents → Retrieve a Child Account onboarding intent: Endpoint is now available, which allows to retrieve a Child Account onboarding intent.
-
Intents → Retrieve the Child Account onboarding intent type: Endpoint is now available, which allows to retrieve the Child Account onboarding intent type definition, including steps and onboarding requirements.
-
Intents → Cancel a Child Account onboarding intent: Endpoint is now available, which allows to cancel a Child Account onboarding intent.
-
Eor → Create an EOR hire intent: Endpoint is now available, which allows to start an EOR hire and get its intent in one call.
-
Eor → Create the client signature for an EOR hire quote: Endpoint is now available, which allows to sign an EOR hire quote as the client.
-
Eor → Create the worker signature for an EOR hire employment agreement: Endpoint is now available, which allows to sign the employment agreement of an EOR hire as the worker.
-
Eor → Retrieve an EOR hire intent: Endpoint is now available, which allows to retrieve an EOR hire intent to check its current status, the parties it waits on, next required actions, and all onboarding steps.
-
Eor → Create a new worker invite for an EOR hire: Endpoint is now available, which allows to send a worker invite for an EOR hire.
-
Eor → Create the additional details of an EOR hire worker: Endpoint is now available, which allows to submit the additional details of an EOR hire as the worker.
-
Eor → Create the bank details of the worker of an EOR hire: Endpoint is now available, which allows to create the bank details of the worker of an EOR hire.
-
Ats → List activities configured on the stages of a job: Endpoint is now available, which allows to list activities (interviews, emails, evaluations, exercises, questionnaires, documents) configured on the stages of a job interview plan.
Changed
-
Legal Entities → Submit EDD request answers for a legal entity: Increased the maximum length of
questionnaire.answers.valueto 1500. -
Legal Entities → Retrieve the KYB state of a legal entity: Increased the maximum length of
valueto 1500. -
Onboarding → List onboarding employees: Added
transitionin the response that describes the worker type change associated with an EOR draft quote, if any. -
Onboarding → Get onboarding details by onboarding tracker ID: Added
transitionin the response that identifies the worker type change holding an EOR draft contract, when applicable. -
Users → Retrieve a single User: Added
employeeNumberto theemploymentsresponse field that provides the employee number set for each employment. -
Users → List users: Added
workerExternalIdin the response that provides the worker’s external ID set on the HRIS profile. -
People → List of People: Added
employee_numberin the response that provides the employee number set for the employment. -
Timesheets → List of timesheets by contract: Added
download_urlin the response that provides a time-limited URL to download the attachment. -
Organization Structure → Delete an Org Structure from the Organization by external ID: Added
forcequery parameter that allows deleting the structure even when profiles are still assigned to it. -
Organization Structure → Delete an Org Structure from the Organization: Added
forceas a new optional query parameter that allows deleting the structure even when profiles are still assigned to it. -
Adjustments → Update an expense or other adjustment: Added support for
application/jsonrequest bodies. -
Adjustments → Create an expense or other adjustment: Added optional
filefield to theapplication/jsonrequest body that attaches a receipt or supporting document previously uploaded viaPOST /rest/files. -
Ats Job Postings → Retrieve ATS job postings: Added
period_slugtocompensation,location_compensationsarray tojob, andjob_location_idtopublicationsitems in the response.